Offers
Retrieve an Offer's Trades
This endpoint represents all trades for a given offer and can be used in streaming mode. Streaming mode allows you to listen for trades for this offer as they are added to the Stellar ledger. If called in streaming mode, Horizon will start at the earliest known trade unless a cursor is set, in which case it will start from that cursor. By setting the cursor value to now, you can stream trades created since your request time.
GET
/
offers
/
{offer_id}
/
trades
Retrieve an Offer's Trades
curl --request GET \
--url https://horizon-testnet.stellar.org/offers/{offer_id}/tradesimport requests
url = "https://horizon-testnet.stellar.org/offers/{offer_id}/trades"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://horizon-testnet.stellar.org/offers/{offer_id}/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://horizon-testnet.stellar.org/offers/{offer_id}/trades",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://horizon-testnet.stellar.org/offers/{offer_id}/trades"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://horizon-testnet.stellar.org/offers/{offer_id}/trades")
.asString();require 'uri'
require 'net/http'
url = URI("https://horizon-testnet.stellar.org/offers/{offer_id}/trades")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"_links": {
"self": {
"href": "https://horizon-testnet.stellar.org/offers/104078276/trades?cursor=&limit=3&order=asc"
},
"next": {
"href": "https://horizon-testnet.stellar.org/offers/104078276/trades?cursor=107449584845914113-0&limit=3&order=asc"
},
"prev": {
"href": "https://horizon-testnet.stellar.org/offers/104078276/trades?cursor=107449468881756161-0&limit=3&order=desc"
}
},
"_embedded": {
"records": [
{
"_links": {
"self": {
"href": ""
},
"base": {
"href": "https://horizon-testnet.stellar.org/accounts/GCO7OW5P2PP7WDN6YUDXUUOPAR4ZHJSDDCZTIAQRTRZHKQWV45WUPBWX"
},
"counter": {
"href": "https://horizon-testnet.stellar.org/accounts/GD3CJYUTZAY6JQF4CEI6Z7VW5O6VNGKZTBYUECTOJPEDTB7I2HZSPI2K"
},
"operation": {
"href": "https://horizon-testnet.stellar.org/operations/107449468881756161"
}
},
"id": "107449468881756161-0",
"paging_token": "107449468881756161-0",
"ledger_close_time": "2019-07-26T09:17:02Z",
"offer_id": "104078276",
"base_offer_id": "104078276",
"base_account": "GCO7OW5P2PP7WDN6YUDXUUOPAR4ZHJSDDCZTIAQRTRZHKQWV45WUPBWX",
"base_amount": "4433.2000000",
"base_asset_type": "native",
"counter_offer_id": "4719135487309144065",
"counter_account": "GD3CJYUTZAY6JQF4CEI6Z7VW5O6VNGKZTBYUECTOJPEDTB7I2HZSPI2K",
"counter_amount": "443.3200000",
"counter_asset_type": "credit_alphanum4",
"counter_asset_code": "BB1",
"counter_asset_issuer": "GD5J6HLF5666X4AZLTFTXLY46J5SW7EXRKBLEYPJP33S33MXZGV6CWFN",
"base_is_seller": true,
"price": {
"n": 1,
"d": 10
}
}
]
}
}Supports StreamingThis endpoint supports streaming. To read more about this, visit the streaming section.
Query Parameters
Retrieve an Offer's Trades
curl --request GET \
--url https://horizon-testnet.stellar.org/offers/{offer_id}/tradesimport requests
url = "https://horizon-testnet.stellar.org/offers/{offer_id}/trades"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://horizon-testnet.stellar.org/offers/{offer_id}/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://horizon-testnet.stellar.org/offers/{offer_id}/trades",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://horizon-testnet.stellar.org/offers/{offer_id}/trades"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://horizon-testnet.stellar.org/offers/{offer_id}/trades")
.asString();require 'uri'
require 'net/http'
url = URI("https://horizon-testnet.stellar.org/offers/{offer_id}/trades")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"_links": {
"self": {
"href": "https://horizon-testnet.stellar.org/offers/104078276/trades?cursor=&limit=3&order=asc"
},
"next": {
"href": "https://horizon-testnet.stellar.org/offers/104078276/trades?cursor=107449584845914113-0&limit=3&order=asc"
},
"prev": {
"href": "https://horizon-testnet.stellar.org/offers/104078276/trades?cursor=107449468881756161-0&limit=3&order=desc"
}
},
"_embedded": {
"records": [
{
"_links": {
"self": {
"href": ""
},
"base": {
"href": "https://horizon-testnet.stellar.org/accounts/GCO7OW5P2PP7WDN6YUDXUUOPAR4ZHJSDDCZTIAQRTRZHKQWV45WUPBWX"
},
"counter": {
"href": "https://horizon-testnet.stellar.org/accounts/GD3CJYUTZAY6JQF4CEI6Z7VW5O6VNGKZTBYUECTOJPEDTB7I2HZSPI2K"
},
"operation": {
"href": "https://horizon-testnet.stellar.org/operations/107449468881756161"
}
},
"id": "107449468881756161-0",
"paging_token": "107449468881756161-0",
"ledger_close_time": "2019-07-26T09:17:02Z",
"offer_id": "104078276",
"base_offer_id": "104078276",
"base_account": "GCO7OW5P2PP7WDN6YUDXUUOPAR4ZHJSDDCZTIAQRTRZHKQWV45WUPBWX",
"base_amount": "4433.2000000",
"base_asset_type": "native",
"counter_offer_id": "4719135487309144065",
"counter_account": "GD3CJYUTZAY6JQF4CEI6Z7VW5O6VNGKZTBYUECTOJPEDTB7I2HZSPI2K",
"counter_amount": "443.3200000",
"counter_asset_type": "credit_alphanum4",
"counter_asset_code": "BB1",
"counter_asset_issuer": "GD5J6HLF5666X4AZLTFTXLY46J5SW7EXRKBLEYPJP33S33MXZGV6CWFN",
"base_is_seller": true,
"price": {
"n": 1,
"d": 10
}
}
]
}
}